在 AS 中使用 Lambda 表达式

配置 AndroidStudio 支持 Lambda 表达式

2017.9.30 升级到 3.7.0 并与 freeline 编译使用

根目录下gradle文件配置

project / build.gradle 中配置

1
2
3
4
5
6
7
8
9
buildscript {
repositories {
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:2.3.3'
classpath 'me.tatarka:gradle-retrolambda:3.7.0'
}
}

app下gradle文件配置

project / app / build.gradle 顶部配置插件

1
apply plugin: 'me.tatarka.retrolambda'

在android{…}中配置

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
android {
retrolambda {
javaVersion JavaVersion.VERSION_1_7
jvmArgs '-noverify'
defaultMethods false
incremental true
}
// 使用Java1.8
compileOptions {
sourceCompatibility JavaVersion.VERSION_1_8
targetCompatibility JavaVersion.VERSION_1_8
}
}
------ 本文结束 🎉🎉 谢谢观看  ------